Package waffle.jaas

## Class UsernamePasswordCallbackHandler

- java.lang.Object
- - waffle.jaas.UsernamePasswordCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

    public class UsernamePasswordCallbackHandler
    extends Object
    implements CallbackHandler

The Class UsernamePasswordCallbackHandler.

Author:
  dblock[at]dblock[dot]org

### Constructor Summary

Constructors
`UsernamePasswordCallbackHandler​(String newUserName, String newPassword)` Instantiates a new username password callback handler.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handle​(Callback[] cb)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UsernamePasswordCallbackHandler

    public UsernamePasswordCallbackHandler​(String newUserName,
                                           String newPassword)

Instantiates a new username password callback handler.

Parameters:
  `newUserName` - the new user name
  `newPassword` - the new password

### Method Detail

#### handle

    public void handle​(Callback[] cb)
                throws IOException,
                       UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`